# Uses of Class
classycle.graph.AtomicVertex

Packages that use AtomicVertex
Package
Description
classycle
classycle.dependency
classycle.graph
classycle.renderer

## Uses of AtomicVertex in classycle

Subclasses of AtomicVertex in classycle
Modifier and Type
Class
Description
`class`
`PackageVertex`
Methods in classycle that return AtomicVertex
Modifier and Type
Method
Description
`AtomicVertex[]`
Analyser.`getClassGraph()`
Returns the class graph.
`AtomicVertex[]`
PackageProcessor.`getGraph()`
Returns the package graph after processing.
`AtomicVertex[]`
Analyser.`getPackageGraph()`
Returns the package graph created the class graph.
`static AtomicVertex[]`
Parser.`readClassFiles(String[] classFiles)`
Reads and parses class files and creates a direct graph.
`static AtomicVertex[]`
Parser.`readClassFiles(String[] classFiles, StringPattern pattern, StringPattern reflectionPattern, boolean mergeInnerClasses)`
Reads the specified class files and creates a directed graph where each vertex represents a class.
Methods in classycle that return types with arguments of type AtomicVertex
Modifier and Type
Method
Description
`Map<AtomicVertex,Integer>`
Analyser.`getClassLayerMap()`
Calculates the for each class its layer index and returns a `Map` where the classes are the keys (type `AtomicVertex`) and the layer indices are the values (type `Integer`).
`Map<AtomicVertex,Integer>`
Analyser.`getPackageLayerMap()`
Calculates the for each package its layer index and returns a `Map` where the packages are the keys (type `AtomicVertex`) and the layer indices are the values (type `Integer`).

## Uses of AtomicVertex in classycle.dependency

Methods in classycle.dependency that return AtomicVertex
Modifier and Type
Method
Description
`AtomicVertex[]`
DependencyResult.`getPaths()`
Returns the vertices of the paths of unwanted dependencies.
Methods in classycle.dependency with parameters of type AtomicVertex
Modifier and Type
Method
Description
`Result`
CheckCyclesStatement.`execute(AtomicVertex[] graph)`
`Result`
CheckSetStatement.`execute(AtomicVertex[] graph)`
`Result`
DependencyStatement.`execute(AtomicVertex[] graph)`
`Result`
LayeringStatement.`execute(AtomicVertex[] graph)`
`Result`
ShowStatement.`execute(AtomicVertex[] graph)`
`Result`
Statement.`execute(AtomicVertex[] graph)`
`Result`
DependencyProcessor.`executeNextStatement(AtomicVertex[] graph)`
Executes the next unprocessed statement and returns its result.
Constructors in classycle.dependency with parameters of type AtomicVertex
Modifier
Constructor
Description
``
`DependencyResult(StringPattern startSet, StringPattern finalSet, String statement, AtomicVertex[] paths)`

## Uses of AtomicVertex in classycle.graph

Methods in classycle.graph that return AtomicVertex
Modifier and Type
Method
Description
`AtomicVertex[]`
PathsFinder.`findPaths(AtomicVertex[] graph)`
Finds all paths from the specified start vertices to the vertices fullfilling the specified condition.
`AtomicVertex[]`
StrongComponentAnalyser.`getGraph()`
Returns the original graph.
`AtomicVertex`
StrongComponent.`getVertex(int index)`
Returns the vertex of the specified index.
Methods in classycle.graph that return types with arguments of type AtomicVertex
Modifier and Type
Method
Description
`Map<AtomicVertex,Integer>`
StrongComponentAnalyser.`getLayerMap()`
Returns the maping of the nodes of the original graph onto a layer index (i.e. length of the longest path of the condensed graph).
Methods in classycle.graph with parameters of type AtomicVertex
Modifier and Type
Method
Description
`void`
StrongComponent.`addVertex(AtomicVertex vertex)`
Adds the specified vertex to this strong component.
`AtomicVertex[]`
PathsFinder.`findPaths(AtomicVertex[] graph)`
Finds all paths from the specified start vertices to the vertices fullfilling the specified condition.
Constructors in classycle.graph with parameters of type AtomicVertex
Modifier
Constructor
Description
``
`StrongComponentAnalyser(AtomicVertex[] graph)`
Creates an instance for the specified graph.

## Uses of AtomicVertex in classycle.renderer

Methods in classycle.renderer with parameters of type AtomicVertex
Modifier and Type
Method
Description
`String`
AtomicVertexRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renders an `AtomicVertex`.
`String`
PlainClassRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.
`String`
TemplateBasedClassRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.
`String`
XMLAtomicVertexRenderer.`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.